Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.dwrp
Class ResumeContinuationScriptConduit

    java.lang.Object
      org.directwebremoting.extend.ScriptConduit
          org.directwebremoting.dwrp.ResumeContinuationScriptConduit

All Implemented Interfaces:
  java.lang.Comparable

    public class ResumeContinuationScriptConduit

extends ScriptConduit

Implementaion of ScriptConduit that just resumes a continuation.

Field Summary

Fields inherited from class org.directwebremoting.extend.ScriptConduit
`RANK_FAST, RANK_PROCEDURAL, RANK_SLOW`

Constructor Summary
`ResumeContinuationScriptConduit(Continuation continuation)`

Method Summary
`boolean` | `addScript(ScriptBuffer script)` Add a script to the list bound for remote execution.

Methods inherited from class org.directwebremoting.extend.ScriptConduit
`compareTo, getRank, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResumeContinuationScriptConduit

    public ResumeContinuationScriptConduit(Continuation continuation)

Parameters:
  `continuation` -

Method Detail

### addScript

    public boolean addScript(ScriptBuffer script)

  Description copied from class: `ScriptConduit`
  Add a script to the list bound for remote execution.

  It is not an error to refuse to handle the script and return false, it just indicates that this ScriptConduit did not accept the script. If the ScriptConduit can no longer function then it should throw an exception and it will be asumed to be no longer useful. If you want to implement this method then you will probably be doing something like calling `ServletOutputStream.print(String)` and passing in the results of calling ScriptBufferUtil.createOutput().

  Specified by:
    `addScript` in class `ScriptConduit`
  Parameters:
    `script` - The script to execute
  Returns:
    true if this ScriptConduit handled the script.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD